// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Interface for ClientFloat32 type. See ClientByte.h

// $Log: ClientFloat32.h,v $
// Revision 1.2  1999/04/30 17:06:54  jimg
// Merged with no-gnu and release-2-24
//
// Revision 1.1  1999/03/29 21:22:56  jimg
// Added
//

#ifndef _ClientFloat32_h
#define _ClientFloat32_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Float32.h"

class ClientFloat32: public Float32 {
public:
    ClientFloat32(const string &n = (char *)0);
    virtual ~ClientFloat32() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);

    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);
};

#endif

