
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// ClientUInt16 interface. See ClientByte.h for more info.
//
// 3/29/99 jhrg

// $Log: ClientUInt16.h,v $
// Revision 1.2  1999/04/30 17:06:55  jimg
// Merged with no-gnu and release-2-24
//
// Revision 1.1  1999/03/29 21:22:55  jimg
// Added
//

#ifndef _ClientUInt16_h
#define _ClientUInt16_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "UInt16.h"

class ClientUInt16: public UInt16 {
public:
    ClientUInt16(const string &n = (char *)0);
    virtual ~ClientUInt16() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
    
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);
};

#endif

